org.fourthline.cling.support.contentdirectory.callback

## Enum Search.Status

- java.lang.Object
- - java.lang.Enum<Search.Status>
  - - org.fourthline.cling.support.contentdirectory.callback.Search.Status

- All Implemented Interfaces:
    Serializable, Comparable<Search.Status>
  Enclosing class:
    Search

      public static enum Search.Status
      extends Enum<Search.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOADING`
    `NO_CONTENT`
    `OK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultMessage()`
    `static Search.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Search.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_CONTENT

          public static final Search.Status NO_CONTENT

    - #### LOADING

          public static final Search.Status LOADING

    - #### OK

          public static final Search.Status OK

  - ### Method Detail

    - #### values

          public static Search.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Search.Status c : Search.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Search.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefaultMessage

          public String getDefaultMessage()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.